org.appng.xml.platform

## Class UrlSchema

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.UrlSchema

- All Implemented Interfaces:
    Serializable

      public class UrlSchema
      extends BaseObject
      implements Serializable

  The URL-Schema defines which `Param`eters are allowed on a certain `PageReference` respectively `PageDefinition`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GetParams` | `getParams`
    `protected PostParams` | `postParams`
    `protected UrlParams` | `urlParams`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlSchema()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetParams` | `getGetParams()` Gets the value of the getParams property.
    `PostParams` | `getPostParams()` Gets the value of the postParams property.
    `UrlParams` | `getUrlParams()` Gets the value of the urlParams property.
    `void` | `setGetParams(GetParams value)` Sets the value of the getParams property.
    `void` | `setPostParams(PostParams value)` Sets the value of the postParams property.
    `void` | `setUrlParams(UrlParams value)` Sets the value of the urlParams property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### urlParams

          protected UrlParams urlParams

    - #### getParams

          protected GetParams getParams

    - #### postParams

          protected PostParams postParams

  - ### Constructor Detail

    - #### UrlSchema

          public UrlSchema()

  - ### Method Detail

    - #### getUrlParams

          public UrlParams getUrlParams()

      Gets the value of the urlParams property.
      Returns:
        possible object is `UrlParams`

    - #### setUrlParams

          public void setUrlParams(UrlParams value)

      Sets the value of the urlParams property.
      Parameters:
        `value` - allowed object is `UrlParams`

    - #### getGetParams

          public GetParams getGetParams()

      Gets the value of the getParams property.
      Returns:
        possible object is `GetParams`

    - #### setGetParams

          public void setGetParams(GetParams value)

      Sets the value of the getParams property.
      Parameters:
        `value` - allowed object is `GetParams`

    - #### getPostParams

          public PostParams getPostParams()

      Gets the value of the postParams property.
      Returns:
        possible object is `PostParams`

    - #### setPostParams

          public void setPostParams(PostParams value)

      Sets the value of the postParams property.
      Parameters:
        `value` - allowed object is `PostParams`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.